<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class UserMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  Closure(Request): (Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        // ১. ইউজার লগইন করা আছে কিনা চেক করবে
        // ২. ইউজারের রোল 'user' কিনা চেক করবে
        if (Auth::check() && Auth::user()->role === 'user') {
            return $next($request);
        }

        return redirect('/login')->with('error', 'অনুগ্রহ করে প্রথমে লগইন করুন!');
    }
}
